<?php

/* about.php:  About Hastymail and server configuration
*
    Copyright (C) 2002-2005  Hastymail Development group

    This file is part of Hastymail.

    Hastymail is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Hastymail is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Hastymail; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

* $Id: about.php,v 1.60 2005/06/13 18:11:53 sailfrog Exp $
*/

require_once('../lib/wrapper_functions.php');
$start = hm_time();

/* collect and validate incoming vars */
$hm_input = hm_validate_input($_POST, $_GET, 'about');

/* set ini values and check/get the SESSION vars */
if (hm_session_continue($hm_input['id'], $config_file)) {
    $config = $_SESSION['config'];
}
$str = $_SESSION['str'];
$page_data = array();

if (isset($_SESSION['settings']['template_set'])) {
    $template_set = $_SESSION['settings']['template_set'];
}
elseif (isset($config['template_set']) && $config['template_set'] != '') {
    $template_set = $config['template_set'];
}
else {
    $template_set = 'default';
}

/* login to imap */
if (!$imap_stream = hm_imap_login($_SESSION['user'], $_SESSION['pass'], 
                                  $config, $hasty_key, true, false)) {
    hm_logged_out($config_file); 
}

/* get unseen messages */
$unseen = hm_unseen_status ($imap_stream, $_SESSION['folders']);



/* Get toolbar and HTML head information */
list($page_data['td'], $page_data['hd']) = 
        hm_toolbar2($imap_stream, $hm_input['mailbox'], $unseen, false, $str[286]);

/* logout of imap */
hm_imap_logout($imap_stream);

/* display vars */
$page_data['header_lbl']      = $str[282];
$page_data['imap_server_lbl'] = $str[174]."\n";
$page_data['imap_server_val'] = hm_htmlize($_SESSION['login_string']);
$page_data['imap_caps_lbl']   = $str[175]."\n";
$page_data['imap_caps_val']    = hm_htmlize($_SESSION['caps']);
$page_data['webserver_lbl']   = $str[176]."\n";
$page_data['webserver_val']   = 'PHP/'.phpversion().' '.$_SERVER['SERVER_SOFTWARE']."\n";
$page_data['browser_lbl']     = $str[177]."\n";
$page_data['browser_val']     = $_SERVER['HTTP_USER_AGENT']."\n";
$page_data['hastymail_lbl']   = $str[178]."\n";
$page_data['hastymail_val']   = $version."\n";
$page_data['links_lbl']       = $str[283];
$page_data['lbl_folder_size'] = 'Folder list size';
$page_data['start_time'] = $start;
if (isset($_SESSION['settings']['folder_size'])) {
    $page_data['folder_size'] = $_SESSION['settings']['folder_size'];
}
else {
    $page_data['folder_size'] = 140;
}
/* output HTTP headers */
hm_output_http_headers();

/* output page */
hm_output_page($page_data, 'about_template.php', $template_set);

?> 
