<?php

/* login.php: Login page, pretty basic 
*
    Copyright (C) 2002-2005  Hastymail Development group

    This file is part of Hastymail.

    Hastymail is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Hastymail is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Hastymail; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

* $Id: login.php,v 1.47 2005/06/13 18:12:09 sailfrog Exp $
*/

require_once('../lib/constant.php');
require_once('../lib/general.php');
require_once('../lib/session.php');

$page_data = array();
$page_data['config_found'] = is_readable($config_file);
if ($page_data['config_found']) {
    $config = hm_get_config($config_file);
    if (isset($config['force_ssl']) && $config['force_ssl'] == 'true') {
        if ($_SERVER['SERVER_PORT'] != '443') {
            header("Location:https://".$_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF']);
            exit;
        }
    }
    if (isset($config['default_lang']) && $config['default_lang'] != '') {
        $str = hm_translate($config['default_lang']);
    }
    else {
        $str = hm_translate('en_US');
    }
    if (isset($config['page_title'])) {
        $page_data['page_title'] = $config['page_title'];
        $page_data['lbl_login'] = $str[92];
    }
    else {
        $page_data['page_title'] = 'Hastymail';
    }
    $simple = false;
    if (isset($config['always_simplify']) && $config['always_simplify'] == 'true') {
        $simple = true;
    }    
    if (isset($_SERVER['HTTP_USER_AGENT']) && (!isset($config['no_auto_simplify']) || 
        $config['no_auto_simplify'] != 'true')) {
        if (hm_browser_type ($_SERVER['HTTP_USER_AGENT'])) {
            $simple = true;
        }
    }
    $page_data['charset'] = $str['charset'];
    $servers = array();
    foreach($config as $name => $value) {
        if (substr($name, 0, 3) == 'alt') {
            $alt = substr($name, 4, 1);
            if (!isset($servers[$alt])) {
                $servers[$alt] = array();
            }
            $servers[$alt][substr($name, 6)] = $value;
        }
    }
    if (isset($config['default_theme']) && $config['default_theme'] != '') {
        $config['default_theme'] = str_replace(array('_large', '_small'), '',
                                   $config['default_theme']);
        $page_data['theme'] = $config['default_theme'];
    }
    else {
        $page_data['theme'] = 'default.css';
    }
    if (isset($_GET['uid'])) {
        $page_data['get_uid'] = $_GET['uid'];
        if (!isset($_GET['mailbox'])) {
            $page_data['get_mailbox'] = 'INBOX';
        }
        else {
            $page_data['get_mailbox'] = $_GET['mailbox'];
        }
    }
    else {
        $page_data['get_uid'] = false;
    }
    $page_data['banner'] = false;
    if (isset($config['login_banner']) && $config['login_banner'] != 'false' &&
        $config['login_banner'] != '') {
        if (isset($config['banner_type'])) {
            if ($config['banner_type'] == 'image') {
                $page_data['banner'] = true;
                $page_data['banner_image'] = $config['login_banner'];
                $page_data['banner_text'] = false;
            }
            elseif ($config['banner_type'] == 'text') {
                $page_data['banner'] = true;
                $page_data['banner_text'] = $config['login_banner'];
                $page_data['banner_image'] = false;
            }
            else {
                $page_data['banner_text'] = false;
                $page_data['banner_image'] = false;
            }
        }
    }
    $page_data['lbl_name'] = $str[93];
    $page_data['lbl_passwd'] = $str[94];
    if (!empty($servers)) {
        $server_options = array();
        $page_data['lbl_server'] = $str[287];
        if (isset($config['imap_server_label']) && 
           $config['imap_server_label'] != 'false') {
            $server_options[0] = $config['imap_server_label'];
        }
        else {
            $server_options[0] = $config['imap_server'];
        }
        foreach ($servers as $index => $array) {
            if (isset($array['imap_server_label']) && $array['imap_server_label'] !=
                'false') {
                $server_options[$index] = $array['imap_server_label'];
            }
            else {
                $server_options[$index] = $array['imap_server'];
            } 
        }
        $page_data['servers'] = $server_options;
    }
    else {
        $page_data['servers'] = false;
    }
    $page_data['lbl_btn_login'] = $str[92];
}
if (isset($config['template_set']) && $config['template_set'] != '') {
    $template_set = $config['template_set'];
}
else {
    $template_set = 'default';
}

/* output page */
if (isset($simple) && $simple) {
    hm_output_page($page_data, 'login_template.php', 'simple');
}
else {
    hm_output_page($page_data, 'login_template.php', $template_set);
}
?>
